@echo off
REM Reset the configuration files to their factory defaults.
echo This batch script resets the initialization files to their factory defaults.
echo Only the configuration files config.ini and default.ini in ..\config are affected.
echo.
:prompt

SET /p doit=Are you sure you want to reset the configuration files to factory defaults [Y/N]?
set doit=%doit:~0,1%
IF "%DOIT%"=="Y" goto Doit
IF "%DOIT%"=="y" goto Doit

GOTO skip

:Doit
ECHO Initializing configuration...

SET ROOT=%~dp0%
XCOPY /Y /I %ROOT%initconfig\*.ini %ROOT%config
XCOPY /Y /I %ROOT%initconfig\*settings.txt %ROOT%config

SET INIW=%ROOT%bin\inifile.exe

REM set external config dir
SET CFGFILE=%~dp0%config\settings.txt
"%INIW%" %CFGFILE% application ordrik.external.config.dir "%ROOT%config"
if errorlevel 1 goto Failed

REM set default network license folder.
SET CFGFILE=%ROOT%config\default_settings.txt
"%INIW%" %CFGFILE% application networkLicenseFolder "%ROOT%config"
if errorlevel 1 goto Failed


SET CFGFILE=%~dp0%config\lisens
SET LCFILE=%ROOT%bin\lcfile.bat
call %LCFILE% %ROOT% %CFGFILE%
if errorlevel 1 goto Failed
call %LCFILE% %ROOT% %CFGFILE% -bm
if errorlevel 1 goto Failed
call %LCFILE% %ROOT% %CFGFILE% -bmnn
if errorlevel 1 goto Failed
call %LCFILE% %ROOT% %CFGFILE% -nn
if errorlevel 1 goto Failed
call %LCFILE% %ROOT% %CFGFILE% -nnsyn
if errorlevel 1 goto Failed
call %LCFILE% %ROOT% %CFGFILE% -nn-bm-bmnn-nnsyn
if errorlevel 1 goto Failed

ECHO Initialization complete.
GOTO End

:Failed
ECHO Initialization failed. 
Goto End

:Skip
ECHO Initialization cancelled.
GOTO End

:End
PAUSE