@ECHO OFF
REM This batch file creates an administrative image from from the compressed .msi file
REM This assumes the "images" directory already exists

SET TARGETDIR="%~dp0%images\2.4.0"
ECHO Creating administrative image in %TARGETDIR%

REM skip check. 

goto Exists
IF EXIST %TARGETDIR% goto Exists
ECHO Target directory %TARGETDIR% does not exist. 
REM The target directory is typically created by unpacking the zip file, which includes the
REM Directory in the zip.
goto :failed

:Exists
SET ROOT=%~dp0%
REM copy launcher
copy /y "%ROOT%\bin\setup.ini" "%TARGETDIR%\setup.ini"
copy /y "%ROOT%\bin\setup.exe" "%TARGETDIR%\setup.exe"

rename %ROOT%ordrik2-net.msi.dat ordrik2-net.msi
msiexec /a %ROOT%ordrik2-net.msi TARGETDIR=%TARGETDIR%
IF ERRORLEVEL==1 GOTO failed
rename %ROOT%ordrik2-net.msi ordrik2-net.msi.dat
goto complete

:failed
rename %ROOT%ordrik2-net.msi ordrik2-net.msi.dat
ECHO Unable to create administrative image.
goto end

:complete
ECHO Administrative image created in %TARGETDIR%
goto end

:skip


:end
PAUSE


