@ECHO OFF
REM This batch file updates the settings.txt file in the administrative image to
REM include a reference to the configuration files in the ordrik config directory.
REM Run this batch after creating the administrative image.
SET IMAGE=%~dp0%images\2.4.0\
SET SETTINGSINI=%~dp0%images\2.4.0\settings.txt
SET CONFIGDIR=%~dp0%config\
SET BINDIR=%~dp0%bin\

IF EXIST %SETTINGSINI% goto Exists
ECHO Settings file %SETTINGSINI% does not exist. Please check there is an administrative image at this location.
goto :failed

:Exists
SET INIW=%~dp0%bin\inifile.exe
"%INIW%" "%SETTINGSINI%" settings defaultConfigPath "%CONFIGDIR%default_settings.txt"
"%INIW%" "%SETTINGSINI%" settings overrideConfigPath "%CONFIGDIR%override_settings.txt"


IF ERRORLEVEL==1 GOTO failed

goto complete

:failed
ECHO An error occurred updating "%SETTINGSINI%".
goto end

:complete
ECHO Administrative image settings updated in "%SETTINGSINI%".
goto end

:skip


:end
PAUSE


